Name: simple-scan
Version: 42.5
Release: %mkrel 2
Summary: Simple scanning utility
Group: Graphics
License: GPLv3+
URL: https://launchpad.net/simple-scan
Source0: https://launchpad.net/simple-scan/+download/%name-%version.tar.xz
#---------------------------------------------
BuildRequires: meson
BuildRequires: sane-backends
BuildRequires: colord-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64gudev1.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64sane1-devel
BuildRequires: lib64vala-devel
BuildRequires: lib64handy-devel
#---------------------------------------------
Requires: xdg-utils
Requires: gnome-icon-theme
Requires: glib2.0-common
Requires: gtk+3.0
Requires: yelp
Provides: scanner-gui
Conflicts: simple-scan-legacy

%description
Simple Scan is an easy-to-use application, designed to let users connect their
scanner and quickly have the image/document in an appropriate format.

%prep
%setup -q

%build
%meson
%meson_build

%install
rm -rf %buildroot
%meson_install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*

  
%find_lang %{name} --with-man --with-gnome

%files -f %{name}.lang 
%defattr(-,root,root,-)
%doc COPYING NEWS README.md
%{_mandir}/man1/%{name}.1.*
%{_bindir}/%{name}
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.SimpleScan.gschema.xml
%{_datadir}/help/*/%{name}/*
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.SimpleScan.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.SimpleScan-symbolic.svg

%post
%update_menus
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%clean_menus
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%clean
rm -rf %{buildroot}

%changelog
* Tue Sep 26 2023 tex - 42.5-2pclos2023
- rebuild against updates

* Sat Oct 01 2022 tex - 42.5-1pclos2022
- new version

* Sun Apr 24 2022 tex - 42.1-1pclos2022
- new version

* Tue Mar 01 2022 tex - 40.7-2pclos2022
- rebuild against updates

* Thu Dec 23 2021 tex - 40.7-1pclos2022
- new version

* Thu Sep 23 2021 tex - 40.5-2pclos2021
- rebuild against updates

* Thu Sep 23 2021 tex - 40.5-1pclos2021
- new version

* Wed Sep 22 2021 tex - 40.1-2pclos2021
- rebuild against updates

* Wed May 26 2021 tex - 40.1-1pclos2021
- new version

* Sat Mar 13 2021 tex - 3.38.5-1pclos2021
- new version

* Thu Dec 10 2020 tex - 3.38.2-1pclos2020
- new version

* Fri Oct 02 2020 tex - 3.38.1-1pclos2020
- new version

* Sat Sep 12 2020 tex - 3.38.0-1pclos2020
- new version

* Thu Jun 04 2020 tex - 3.36.3-1pclos2020
- new version

* Fri May 29 2020 tex - 3.36.2.1-1pclos2020
- new version

* Thu Apr 30 2020 tex - 3.36.2-1pclos2020
- new version

* Fri Mar 27 2020 tex - 3.36.1-1pclos2020
- new version

* Fri Mar 06 2020 tex - 3.36.0-1pclos2020
- new version

* Fri Nov 22 2019 tex - 3.34.2-1pclos2019
- new version

* Mon Oct 07 2019 tex - 3.34.1-1pclos2019
- new version

* Thu Sep 12 2019 tex - 3.34.0-2pclos2019
- rebuild against updates

* Mon Sep 09 2019 tex - 3.34.0-1pclos2019
- new version

* Fri Aug 16 2019 tex - 3.32.2.1-1pclos2019
- new version

* Sat Aug 25 2018 pp <pp> 3.29.91-1pclos2018
- switch to meson build
- updated BR

* Sat Jun 13 2015 pp <pp> 3.17.2-1pclos2015
- 3.17.2
- added BR vala-devel

* Sun Jun 15 2014 bb <bb> 3.12.0-1pclos2014
- update

* Mon Dec 02 2013 billybot <billybot> 3.10.2-1pclos2013
- update

